<?php
/*
* date last modified 03-10-2017
* Edited by PI-Digi Logical Solutions
* HTML Files - manage_staff.html.php
* Mysql Tables - tbl_admin, tbl_purchase_order, tbl_admin_type
*/
require_once('./classes/class.noseo_pagination.php'); # pagination class
require_once('./includes/functions.php'); # general functions

if(isset($_REQUEST['p']) && $_REQUEST['p']!=''){
	$p = trim($_REQUEST['p']);
} else {
	$p = 1;
}

if(isset($_POST['clear'])) { ?>
<script language="javascript" type="text/javascript">			
	window.location='index.php?page=<?php echo $page;?>';
</script>
<?php }

/*if(isset($_GET['action']) && $_GET['action'] == 'delete') {	
	if(isset($_GET['del_id']) && $_GET['del_id']!=''){
		$delete = mysqli_query($con,'DELETE FROM tbl_job_disputes WHERE id='.$_GET['del_id']);
		if($delete) {
			$success = 'Deleted the order';
			?>
	        <script language="javascript" type="text/javascript">			
				window.location='index.php?page=<?php echo $page;?>&success=<?php echo $success; ?>';
			</script>
	        <?php
		}
	}
}*/

if(isset($_GET['action']) && $_GET['action'] == 'progress') {	
	if(isset($_GET['task_id']) && $_GET['task_id']!=''){
		$update = mysqli_query($con,"UPDATE tbl_job_disputes SET status = 'In Progress' WHERE task_id='".$_GET['task_id']."'");
		if($update) {
			$success = 'The dispute is in progress';
			?>
	        <script language="javascript" type="text/javascript">			
				window.location='index.php?page=<?php echo $page;?>&success=<?php echo $success; ?>&p=<?php echo $p;?>';
			</script>
	        <?php
		}
	}
}

if(isset($_GET['action']) && $_GET['action'] == 'settled') {	
	if(isset($_GET['task_id']) && $_GET['task_id']!=''){
		$update = mysqli_query($con,"UPDATE tbl_job_disputes SET status = 'settled' WHERE task_id='".$_GET['task_id']."'");
		if($update) {
			$success = 'The dispute has been settled';
			?>
	        <script language="javascript" type="text/javascript">			
				window.location='index.php?page=<?php echo $page;?>&success=<?php echo $success; ?>&p=<?php echo $p;?>';
			</script>
	        <?php
		}
	}
}

$pageVars = '';
$where = ' id>0 ';

if(isset($_REQUEST['status']) && strlen($_REQUEST['status'])>0) {
	$status = $_REQUEST['status'];
	if($status == 'progress'){
		$where .= " AND status='In Progress' ";
	} else {
		$where .= " AND status='".$status."' ";
	}	
	$pageVars.= '&status='.$status.'&';
}


$select = "SELECT * FROM tbl_job_disputes WHERE ".$where." ORDER BY id DESC";
//echo $select;
// Using pagination class
$pagination = new pagination_noseo($select);
$execDetails = $pagination->createPages(30);

$pageLnk = 'index.php?page='.$page.'&'.$pageVars;
$pageNums = $pagination->pageNumber(5, $pageLnk);
?>